[Документация Yandex Cloud](../../../index.md) > [Yandex Compute Cloud](../../index.md) > Справочник API > [REST (англ.)](../index.md) > [HostType](index.md) > Get

# Compute Cloud API, REST: HostType.Get

Returns information about specified host type.

## HTTP request

```
GET https://compute.api.yandexcloud.kz/compute/v1/hostTypes/{hostTypeId}
```

## Path parameters

#|
||Field | Description ||
|| hostTypeId | **string**

Required field. ID of the host type to return.
To get a host type ID make a [HostTypeService.List](list.md#List) request.
The length must be less than or equal to 50.
This field is required. ||
|#

## Response {#yandex.cloud.compute.v1.HostType}

**HTTP Code: 200 - OK**

```json
{
  "id": "string",
  "cores": "string",
  "memory": "string",
  "disks": "string",
  "diskSize": "string"
}
```

Represents host resources.
Note: Platform can use hosts with different number of memory and cores.
TODO: Do we need sockets here?

#|
||Field | Description ||
|| id | **string**

Unique type identifier. ||
|| cores | **string** (int64)

Total number of cores available for instances. ||
|| memory | **string** (int64)

Ammount of memory available for instances. ||
|| disks | **string** (int64)

Number of local disks available for instances ||
|| diskSize | **string** (int64)

Size of each local disk ||
|#